# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python{3_8,3_9,3_10} )

inherit distutils-r1

DESCRIPTION="Adds webpack support to lektor."
HOMEPAGE="https://www.getlektor.com/plugins/lektor-webpack-support/"
SRC_URI="https://github.com/lektor/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="www-apps/lektor"
RDEPEND=""

DOCS=( README.md )

pkg_setup() {
        if [[ ${PV} != 9999 ]]; then
                export SETUPTOOLS_SCM_PRETEND_VERSION="${PV}"
        fi
}
